org.apache.calcite.avatica

## Class Meta.ExecuteResult

- java.lang.Object
- - org.apache.calcite.avatica.Meta.ExecuteResult

Enclosing interface:
  Meta

    public static class Meta.ExecuteResult
    extends Object

Response from execute.

Typically a query will have a result set and rowCount = -1; a DML statement will have a rowCount and no result sets.

### Field Summary

Fields
`List<Meta.MetaResultSet>` `resultSets`

### Constructor Summary

Constructors
Constructor and Description
`Meta.ExecuteResult(List<Meta.MetaResultSet> resultSets)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### resultSets

    public final List<Meta.MetaResultSet> resultSets

### Constructor Detail

#### Meta.ExecuteResult

    public Meta.ExecuteResult(List<Meta.MetaResultSet> resultSets)